librevenge::RVNGRawPresentationGenerator Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGRawPresentationGenerator Class Reference

`#include <RVNGRawPresentationGenerator.h>`

Inheritance diagram for librevenge::RVNGRawPresentationGenerator:

## Public Member Functions
| RVNGRawPresentationGenerator (bool printCallgraphScore)
| ~RVNGRawPresentationGenerator ()
void | startDocument (const RVNGPropertyList &propList)
void | endDocument ()
void | setDocumentMetaData (const RVNGPropertyList &propList)
| Called when all document metadata should be set. More...
void | defineEmbeddedFont (const RVNGPropertyList &propList)
| Called when an embedded font should be defined. More...
void | startSlide (const RVNGPropertyList &propList)
void | endSlide ()
void | startMasterSlide (const RVNGPropertyList &propList)
void | endMasterSlide ()
void | setSlideTransition (const RVNGPropertyList &propList)
| Called when a transition should be added to the current slide. More...
void | startLayer (const RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const RVNGPropertyList &propList)
void | closeGroup ()
void | setStyle (const RVNGPropertyList &propList)
void | drawRectangle (const RVNGPropertyList &propList)
void | drawEllipse (const RVNGPropertyList &propList)
void | drawPolyline (const RVNGPropertyList &propList)
void | drawPolygon (const RVNGPropertyList &propList)
void | drawPath (const RVNGPropertyList &propList)
void | drawGraphicObject (const RVNGPropertyList &propList)
| Called when a binary/raster object should be inserted. More...
void | drawConnector (const RVNGPropertyList &propList)
| Draw a connector. More...
void | startTextObject (const RVNGPropertyList &propList)
| Start a text object. More...
void | endTextObject ()
| End a text object. More...
void | defineParagraphStyle (const RVNGPropertyList &propList)
void | openParagraph (const RVNGPropertyList &propList)
| Called when a new paragraph is opened. More...
void | closeParagraph ()
| Called when a paragraph is closed. More...
void | defineCharacterStyle (const RVNGPropertyList &propList)
void | openSpan (const RVNGPropertyList &propList)
| Called when a text span is opened. More...
void | closeSpan ()
| Called when a text span is closed. More...
void | openLink (const RVNGPropertyList &propList)
| Called when a link should be opened. More...
void | closeLink ()
| Called when the current link is closed. More...
void | insertTab ()
| Called when a TAB character should be inserted. More...
void | insertSpace ()
| Called when an explicit space should be inserted. More...
void | insertText (const RVNGString &str)
| Called when a string of text should be inserted. More...
void | insertLineBreak ()
| Called when a line break should be inserted. More...
void | insertField (const RVNGPropertyList &propList)
| Called when a field should be inserted. More...
void | openOrderedListLevel (const RVNGPropertyList &propList)
| Called when a new ordered list level should be opened. More...
void | openUnorderedListLevel (const RVNGPropertyList &propList)
| Called when a new unordered list level should be opened. More...
void | closeOrderedListLevel ()
| Called when an unordered list level should be closed. More...
void | closeUnorderedListLevel ()
| Called when an ununordered list level should be closed. More...
void | openListElement (const RVNGPropertyList &propList)
| Called when a list element should be opened. More...
void | closeListElement ()
| Called when a list element should be closed. More...
void | startTableObject (const RVNGPropertyList &propList)
| Called when a table should be opened. More...
void | openTableRow (const RVNGPropertyList &propList)
| Called when a new table row is opened. More...
void | closeTableRow ()
| Called when the current table row is closed. More...
void | openTableCell (const RVNGPropertyList &propList)
| Called when a new table cell is opened. More...
void | closeTableCell ()
| Called when the current table cell is closed. More...
void | insertCoveredTableCell (const RVNGPropertyList &propList)
| Called when a covered (spanned by another cell in the table) table cell is opened. More...
void | endTableObject ()
| Called when the current table is closed. More...
void | startComment (const RVNGPropertyList &propList)
| Start a comment. More...
void | endComment ()
| End a comment. More...
void | startNotes (const RVNGPropertyList &propList)
| Start slide notes. More...
void | endNotes ()
| End slide notes. More...
void | defineChartStyle (const RVNGPropertyList &propList)
void | openChart (const RVNGPropertyList &propList)
| Called when a chart should be opened. More...
void | closeChart ()
| Called when a chart should be closed. More...
void | openChartTextObject (const RVNGPropertyList &propList)
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened. More...
void | closeChartTextObject ()
| Called when a chart text zone:legend/title/subtitle/footer should be closed. More...
void | openChartPlotArea (const RVNGPropertyList &propList)
| Called when a chart plot area should be opened. More...
void | closeChartPlotArea ()
| Called when a chart plot arre should be closed. More...
void | insertChartAxis (const RVNGPropertyList &propList)
| Called when a axis should be add in a plot area. More...
void | openChartSeries (const librevenge::RVNGPropertyList &propList)
| Called when a serie should be opened (in a plot area) More...
void | closeChartSeries ()
| Called when a serie should be closed (in a plot area) More...
void | openAnimationSequence (const RVNGPropertyList &propList)
| Called when a set of animations should be applied one after another. More...
void | closeAnimationSequence ()
void | openAnimationGroup (const RVNGPropertyList &propList)
| Called when a set of animations should be applied in parallel. More...
void | closeAnimationGroup ()
void | openAnimationIteration (const RVNGPropertyList &propList)
void | closeAnimationIteration ()
void | insertMotionAnimation (const RVNGPropertyList &propList)
| Insert an animation that moves the target object along a specified path. More...
void | insertColorAnimation (const RVNGPropertyList &propList)
| Insert an animation that changes color of the target object. More...
void | insertAnimation (const RVNGPropertyList &propList)
| Insert a generic animation. More...
void | insertEffect (const RVNGPropertyList &propList)
| Set one-time animation effect on the target object. More...
Public Member Functions inherited from librevenge::RVNGPresentationInterface
virtual | ~RVNGPresentationInterface ()

## Private Member Functions
| RVNGRawPresentationGenerator (const RVNGRawPresentationGenerator &other)
RVNGRawPresentationGenerator & | operator= (const RVNGRawPresentationGenerator &other)

## Private Attributes
RVNGRawPresentationGeneratorImpl * | m_impl

## Constructor & Destructor Documentation

librevenge::RVNGRawPresentationGenerator::RVNGRawPresentationGenerator | ( | const RVNGRawPresentationGenerator & | other | ) |
| private

librevenge::RVNGRawPresentationGenerator::RVNGRawPresentationGenerator | ( | bool | printCallgraphScore | ) |
| explicit

librevenge::RVNGRawPresentationGenerator::~RVNGRawPresentationGenerator | ( |  | ) |

## Member Function Documentation

void librevenge::RVNGRawPresentationGenerator::closeAnimationGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeAnimationIteration | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeAnimationSequence | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeChart | ( |  | ) |
| virtual

Called when a chart should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeChartPlotArea | ( |  | ) |
| virtual

Called when a chart plot arre should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeChartSeries | ( |  | ) |
| virtual

Called when a serie should be closed (in a plot area)

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeChartTextObject | ( |  | ) |
| virtual

Called when a chart text zone:legend/title/subtitle/footer should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeLink | ( |  | ) |
| virtual

Called when the current link is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeListElement | ( |  | ) |
| virtual

Called when a list element should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeOrderedListLevel | ( |  | ) |
| virtual

Called when an unordered list level should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeParagraph | ( |  | ) |
| virtual

Called when a paragraph is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeSpan | ( |  | ) |
| virtual

Called when a text span is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeTableCell | ( |  | ) |
| virtual

Called when the current table cell is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeTableRow | ( |  | ) |
| virtual

Called when the current table row is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::closeUnorderedListLevel | ( |  | ) |
| virtual

Called when an ununordered list level should be closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::defineChartStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawGraphicObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a binary/raster object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mimetype` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawPath | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endComment | ( |  | ) |
| virtual

End a comment.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endDocument | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endEmbeddedGraphics | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endLayer | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endMasterSlide | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endNotes | ( |  | ) |
| virtual

End slide notes.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endSlide | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endTableObject | ( |  | ) |
| virtual

Called when the current table is closed.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::endTextObject | ( |  | ) |
| virtual

End a text object.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert a generic animation.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertChartAxis | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a axis should be add in a plot area.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertColorAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert an animation that changes color of the target object.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertEffect | ( | const RVNGPropertyList & | propList | ) |
| virtual

Set one-time animation effect on the target object.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertField | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a field should be inserted.

Field types may include:

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertLineBreak | ( |  | ) |
| virtual

Called when a line break should be inserted.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertMotionAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert an animation that moves the target object along a specified path.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertSpace | ( |  | ) |
| virtual

Called when an explicit space should be inserted.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertTab | ( |  | ) |
| virtual

Called when a TAB character should be inserted.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::insertText | ( | const RVNGString & | text | ) |
| virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openAnimationGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a set of animations should be applied in parallel.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openAnimationIteration | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openAnimationSequence | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a set of animations should be applied one after another.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openChart | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openChartPlotArea | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart plot area should be opened.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Called when a serie should be opened (in a plot area)

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openChartTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart text zone:label/legend/title/subtitle/footer should be opened.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openLink | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openListElement | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow` `fo:language` \ The language of the text in the span, a valid language code according to ISO 639

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGPresentationInterface.

RVNGRawPresentationGenerator& librevenge::RVNGRawPresentationGenerator::operator= | ( | const RVNGRawPresentationGenerator & | other | ) |
| private

void librevenge::RVNGRawPresentationGenerator::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::setSlideTransition | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a transition should be added to the current slide.

Parameters

  propList | Property list for the metadata. May contain: `smil:type` Type of the transition. `smil:subtype` Subtype of the transition. `smil:dur` Duration of the transition. `smil:startProgress` The amount of progress through the transition at which to begin execution. Value must be in the range [0.0, 1.0]. `smil:endProgress` The amount of progress through the transition at which to end execution. Value must be in the range [0.0, 1.0].

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::setStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startComment | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start a comment.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startDocument | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startEmbeddedGraphics | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startLayer | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startMasterSlide | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startNotes | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start slide notes.

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startSlide | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startTableObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implements librevenge::RVNGPresentationInterface.

void librevenge::RVNGRawPresentationGenerator::startTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start a text object.

Implements librevenge::RVNGPresentationInterface.

## Member Data Documentation

RVNGRawPresentationGeneratorImpl* librevenge::RVNGRawPresentationGenerator::m_impl
| private

Referenced by defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), insertAnimation(), insertChartAxis(), insertColorAnimation(), insertCoveredTableCell(), insertEffect(), insertField(), insertLineBreak(), insertMotionAnimation(), insertSpace(), insertTab(), insertText(), setDocumentMetaData(), setSlideTransition(), setStyle(), and ~RVNGRawPresentationGenerator().

The documentation for this class was generated from the following files:

- RVNGRawPresentationGenerator.h
- RVNGRawPresentationGenerator.cpp